Shorten the timeout time for waiting the connection

2015-08-21 21:49 - Jing Tao

Status: Closed Start date: 2015-08-21

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Somehow the cn-dev.test.dataone doesn't response well, however the mn.getSystemMetadata take a long time:

In D1URLFilter.

HTTP Verb: GET

original pathInfo: /meta/tao.13350.1

original requestURI: /knb/d1/mn/v2/meta/tao.13350.1

stripping /knb/d1/mn/v2 from requestURI

new pathinfo: /meta/tao.13350.1

After decoded: tao.13350.1

metacat 20150821-21:35:46: [DEBUG]: In isAdminAuthorized(), checking CN or MN authorization for

uid=tao,o=NCEAS,dc=ecoinformatics,dc=org [edu.ucsb.nceas.metacat.dataone.D1NodeService]

metacat 20150821-21:35:46: [DEBUG]: In isNodeAdmin(), MN authorization for uid=tao,o=NCEAS,dc=ecoinformatics,dc=org

[edu.ucsb.nceas.metacat.dataone.D1NodeService]

metacat 20150821-21:35:46: [DEBUG]: In isNodeAdmin(), Node reference is: urn:node:mnDemo6

[edu.ucsb.nceas.metacat.dataone.D1NodeService]

metacat 20150821-21:35:46: [DEBUG]: In isNodeAdmin(), comparing subjects: cn=urn:node:mnDemo6,dc=dataone,dc=org and

uid=tao,o=NCEAS,dc=ecoinformatics,dc=org [edu.ucsb.nceas.metacat.dataone.D1NodeService]

In D1URLFilter.

HTTP Verb: GET

original pathInfo: /object

original requestURI: /knb/d1/mn/v2/object

stripping /knb/d1/mn/v2 from requestURI

new pathinfo: /object

metacat 20150821-21:36:16: [WARN]: class org.dataone.client.exception.ClientSideException: /Timeout waiting for connection from

pool [edu.ucsb.nceas.metacat.dataone.D1NodeService]

metacat 20150821-21:36:46: [ERROR]: D1NodeService.isAuthoritativeMNodeAdmin - couldn't get the member nodes list from the

CN since class org.dataone.client.exception.ClientSideException: /Timeout waiting for connection from pool. The false value will be

returned for the AuthoritativeMNodeAdmin. [edu.ucsb.nceas.metacat.dataone.D1NodeService]

We need to shotent the timeout time.

History

#1 - 2015-08-21 21:50 - Jing Tao

- Assignee set to Jing Tao

#2 - 2015-08-24 17:41 - Jing Tao

Talked with Rob and found the issue is  the waiting for getting a connection from the connection pool. In the cn.synchronize method, the inputStream

isn't closed and it will keep the ssl connection active , so other action can't get a connection. Rob input two other tickets.

https://redmine.dataone.org/issues/7313

https://redmine.dataone.org/issues/7312

#3 - 2015-08-24 22:59 - Jing Tao

- Status changed from New to Closed
https://redmine.dataone.org/issues/7313
https://redmine.dataone.org/issues/7312


- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Tested to call mn.updateSystemMetadata and couldn't see the issue again.
